## org.jfree.report.data
Class PrecomputeNodeImpl

    java.lang.Object
      org.jfree.report.data.PrecomputeNodeImpl

All Implemented Interfaces:
  PrecomputeNode

    public class PrecomputeNodeImpl

extends java.lang.Object
implements PrecomputeNode

A precompute-node represents a resolved element or section of the report definition. Unlike the structural nodes, these nodes can always have childs.

The resulting tree gets pruned as early as possible - nodes which do not contain precomputed or preserved expressions will not be stored.

Author:
  Thomas Morgner

Constructor Summary
`PrecomputeNodeImpl(PrecomputeNodeKey key)`

Method Summary
`void` `add(PrecomputeNodeImpl node)`
`void` `addFunction(java.lang.String name, java.lang.Object value)`
`PrecomputeNode` `getFirstChild()`
`int` `getFunctionCount()`
`java.lang.String` `getFunctionName(int idx)`
`java.lang.Object` `getFunctionResult(int idx)`
`PrecomputeNodeKey` `getKey()`
`PrecomputeNode` `getLastChild()`
`PrecomputeNode` `getNext()`
`PrecomputeNode` `getParent()`
`void` `prune()`
`protected void` `setFirstChild(PrecomputeNodeImpl firstChild)`
`protected void` `setLastChild(PrecomputeNodeImpl lastChild)`
`protected void` `setNext(PrecomputeNodeImpl next)`
`protected void` `setParent(PrecomputeNodeImpl parent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrecomputeNodeImpl

    public PrecomputeNodeImpl(PrecomputeNodeKey key)

Method Detail

### getKey

    public PrecomputeNodeKey getKey()

  Specified by:
    `getKey` in interface `PrecomputeNode`

### getParent

    public PrecomputeNode getParent()

### setParent

    protected void setParent(PrecomputeNodeImpl parent)

### getNext

    public PrecomputeNode getNext()

### setNext

    protected void setNext(PrecomputeNodeImpl next)

### getFirstChild

    public PrecomputeNode getFirstChild()

### setFirstChild

    protected void setFirstChild(PrecomputeNodeImpl firstChild)

### getLastChild

    public PrecomputeNode getLastChild()

### setLastChild

    protected void setLastChild(PrecomputeNodeImpl lastChild)

### add

    public void add(PrecomputeNodeImpl node)

### addFunction

    public void addFunction(java.lang.String name,
                            java.lang.Object value)

### getFunctionCount

    public int getFunctionCount()

  Specified by:
    `getFunctionCount` in interface `PrecomputeNode`

### getFunctionName

    public java.lang.String getFunctionName(int idx)

  Specified by:
    `getFunctionName` in interface `PrecomputeNode`

### getFunctionResult

    public java.lang.Object getFunctionResult(int idx)

  Specified by:
    `getFunctionResult` in interface `PrecomputeNode`

### prune

    public void prune()